.TH "G4_CMD_DATA_STRUCT" "3" "1" "Polhemus" "Polhemus G4Track Library"
.SH "NAME"
G4_CMD_DATA_STRUCT \- Configuration command parameters
.SH "SYNOPSIS"
#include "G4TrackIncl.h"
.br 


typedef struct _G4_CMD_DATA_STRUCT{
.br 
	uint32_t \fIid\fR;			
.br 
	uint32_t \fIaction\fR;
.br 
	uint32_t \fIiParam\fR;
.br 
	void* \fIpParam\fR;
.br 
}\fB*LPG4_CMD_DATA_STRUCT,G4_CMD_DATA_STRUCT\fR;
.SH "DESCRIPTION"
This is the structure that identifies the parameters for the individual configuration commands.  This structure is embedded in the \fBG4_CMD_STRUCT\fR that gets passed to the \fBg4_set_query\fR() function to read or write configuration values from or to the tracker library.  Typically the \fIid\fR will be created by the \fBG4_CREATE_ID\fR macro, the \fIaction\fR will indicate reading or writing, and the \fIiParam\fR and \fIpParam\fR members are command specific.
.SH "STRUCTURE MEMBERS"
\fIid\fR:  The value created by the \fBG4_CREATE_ID\fR macro.  It is a combination of the system number, hub number, and sensor number.
.br 

\fIaction\fR:  Must be one of the enums \fBG4_ACTION_SET\fR, \fBG4_ACTION_GET\fR, or \fBG4_ACTION_RESET\fR.
.br 

\fIiParam\fR:  Command specific 32\-bit parameter.  See specific command documentation under \fBg4_set_query\fR().
.br 

\fIpParam\fR:  Command specific pointer parameter.  See specific command documentation under \fBg4_set_query\fR().
.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBg4_init_sys\fR(3), \fBg4_set_query\fR(3), \fBg4_get_frame_data\fR(3), \fBg4_close_tracker\fR(3), \fBG4Track\fR(3), \fBG4_SENFRAMEDATA\fR(3), \fBG4_FRAMEDATA\fR(3), \fBG4_CMD_STRUCT\fR(3), \fBG4_SRC_MAP\fR(3), \fBG4_CMD_BLOCK_STRUCT\fR(3)
